## com.lowagie.tools
Class LPR.PrintJob

    java.lang.Object
      java.lang.Thread
          com.lowagie.tools.LPR.PrintJob

All Implemented Interfaces:
  Runnable

Enclosing class:
  LPR

private class LPR.PrintJob
extends Thread

Job ************************

Field Summary
`private byte[]` `dfA1`
`private char[]` `dfA2`
`(package private) String` `document`
`(package private) String` `id`
`(package private) int` `mode`
`(package private) String` `queue`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`LPR.PrintJob(String queue, byte[] data, String document)`
`LPR.PrintJob(String queue, char[] data, String document)`

Method Summary
`String` `getJobId()`
`void` `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### queue

    String queue

### document

    String document

### id

    String id

### mode

    int mode

### dfA1

    private byte[] dfA1

### dfA2

    private char[] dfA2

Constructor Detail

### LPR.PrintJob

    public LPR.PrintJob(String queue,
                        byte[] data,
                        String document)

### LPR.PrintJob

    public LPR.PrintJob(String queue,
                        char[] data,
                        String document)

Method Detail

### run

    public void run()

### getJobId

    public String getJobId()